From 4c24033c3ca53104a7284dd1caec4991e256dbcc Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:05:32 +0000
Subject: [PATCH 508/1001] Fix calls to login_fedora


---

diff --git a/hubs/app.py b/hubs/app.py
index bddaa29..136c844 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -109,7 +109,7 @@ def index():
 @app.route('/groups')
 def groups():
     if not authenticated():
-        return flask.redirect(flask.url_for('login_fedora'))
+        return flask.redirect(flask.url_for('login'))
 
     # Get the list of promoted and non-promoted group hubs from the DB
     promoted_names = app.config.get('PROMOTED_GROUPS')
@@ -507,7 +507,7 @@ def login_required(function):
         if not authenticated():
             flask.flash('Login required', 'errors')
             return flask.redirect(flask.url_for(
-                'login_fedora', next=flask.request.url))
+                'login', next=flask.request.url))
 
         return function(*args, **kwargs)
 

